Bug 195347 - net-p2p/libtorrent-rasterbar-python - fatal error: 'bytes.hpp' file not found
Summary: net-p2p/libtorrent-rasterbar-python - fatal error: 'bytes.hpp' file not found
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-24 20:14 UTC by Nick
Modified: 2014-11-29 07:59 UTC (History)
2 users (show)

See Also:


Attachments
build log (17.11 KB, text/plain)
2014-11-24 20:14 UTC, Nick
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick 2014-11-24 20:14:19 UTC
Created attachment 149788 [details]
build log

Build fails, FreeBSD 10.1-RELEASE FreeBSD 10.1-RELEASE everything else is up-to-date.

===>  Building for py27-libtorrent-rasterbar-0.16.18
running build
running build_ext
building 'libtorrent' extension
creating build
creating build/temp.freebsd-10.1-RELEASE-amd64-2.7
creating build/temp.freebsd-10.1-RELEASE-amd64-2.7/src
cc -DNDEBUG -O2 -pipe -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DLIBICONV_PLUG -fPIC -I../../include -I/usr/local/include -I/usr/include -I/usr/local/include/python2.7 -c src/torrent_status.cpp -o build/temp.freebsd-10.1-RELEASE-amd64-2.7/src/torrent_status.o -DTORRENT_USE_OPENSSL -DBOOST_ASIO_HASH_MAP_BUCKETS=1021 -DBOOST_EXCEPTION_DISABLE -DBOOST_ASIO_ENABLE_CANCELIO -DBOOST_ASIO_DYN_LINK -DTORRENT_LINKING_SHARED -DLIBICONV_PLUG
cc -DNDEBUG -O2 -pipe -DLIBICONV_PLUG -fstack-protector -fno-strict-aliasing -DLIBICONV_PLUG -fPIC -I../../include -I/usr/local/include -I/usr/include -I/usr/local/include/python2.7 -c src/entry.cpp -o build/temp.freebsd-10.1-RELEASE-amd64-2.7/src/entry.o -DTORRENT_USE_OPENSSL -DBOOST_ASIO_HASH_MAP_BUCKETS=1021 -DBOOST_EXCEPTION_DISABLE -DBOOST_ASIO_ENABLE_CANCELIO -DBOOST_ASIO_DYN_LINK -DTORRENT_LINKING_SHARED -DLIBICONV_PLUG
src/entry.cpp:7:10: fatal error: 'bytes.hpp' file not found
#include "bytes.hpp"
         ^
1 error generated.
error: command 'cc' failed with exit status 1
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/net-p2p/libtorrent-rasterbar-python
*** Error code 1
Comment 1 iron.udjin 2014-11-25 06:22:40 UTC
I have eactly the same problem.
Comment 2 commit-hook freebsd_committer 2014-11-29 07:57:20 UTC
A commit references this bug:

Author: nemysis
Date: Sat Nov 29 07:57:14 UTC 2014
New revision: 373605
URL: https://svnweb.freebsd.org/changeset/ports/373605

Log:
  - Revert last commit r373094, update to 0.16.18

  PR:		195347

Changes:
  head/net-p2p/libtorrent-rasterbar/Makefile
  head/net-p2p/libtorrent-rasterbar/distinfo
Comment 3 commit-hook freebsd_committer 2014-11-29 07:58:23 UTC
A commit references this bug:

Author: nemysis
Date: Sat Nov 29 07:57:19 UTC 2014
New revision: 373606
URL: https://svnweb.freebsd.org/changeset/ports/373606

Log:
  - Revert last commit r373094
  - Remove BROKEN

  PR:		195347

Changes:
  head/net-p2p/libtorrent-rasterbar-python/Makefile
Comment 4 Rusmir Dusko freebsd_committer 2014-11-29 07:59:58 UTC
Fixed with last commits.